/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core;

import junit.framework.TestCase;
import benten.cat.glossary.engine.omegat.DefaultGlossaryDriver;
//import benten.cat.glossary.engine.regex.RegexGlossaryDriver;

public class BentenGlossaryDriverManagerTest extends TestCase {

	public void testRegisterDriver() {
		try {
			BentenGlossaryDriverManager.registerDriver(null);
			fail();
		} catch (final IllegalArgumentException e) {
			assertTrue(true);
		}
		try {
			BentenGlossaryDriverManager.deregisterDriver(null);
			fail();
		} catch (final IllegalArgumentException e) {
			assertTrue(true);
		}
		assertEquals(0, BentenGlossaryDriverManager.getDrivers().length);
		new DefaultGlossaryDriver();
		assertEquals(1, BentenGlossaryDriverManager.getDrivers().length);
		new DefaultGlossaryDriver();
		assertEquals(1, BentenGlossaryDriverManager.getDrivers().length);
//		new RegexGlossaryDriver();
//		assertEquals(2, BentenGlossaryDriverManager.getDrivers().length);
//		BentenGlossaryDriverManager.deregisterDriver(new RegexGlossaryDriver());
//		assertEquals(1, BentenGlossaryDriverManager.getDrivers().length);
//		BentenGlossaryDriverManager.deregisterDriver(new RegexGlossaryDriver());
//		assertEquals(1, BentenGlossaryDriverManager.getDrivers().length);
		BentenGlossaryDriverManager.deregisterDriver(new DefaultGlossaryDriver());
		assertEquals(0, BentenGlossaryDriverManager.getDrivers().length);
		BentenGlossaryDriverManager.deregisterDriver(new DefaultGlossaryDriver());
		assertEquals(0, BentenGlossaryDriverManager.getDrivers().length);
	}
}
